
From: Randy Dunlap <rdunlap@xenotime.net>

As written in Documentation/feature-removal-schedule.txt, remove the
io_remap_page_range() kernel API.

Signed-off-by: Randy Dunlap <rdunlap@xenotime.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/feature-removal-schedule.txt |    8 --------
 include/asm-alpha/pgtable.h                |    7 -------
 include/asm-arm/pgtable.h                  |    5 +----
 include/asm-arm26/pgtable.h                |    5 +----
 include/asm-frv/pgtable.h                  |    3 ---
 include/asm-h8300/pgtable.h                |    2 --
 include/asm-i386/pgtable.h                 |    3 ---
 include/asm-ia64/pgtable.h                 |    4 ----
 include/asm-m32r/pgtable.h                 |    3 ---
 include/asm-m68k/pgtable.h                 |    3 ---
 include/asm-m68knommu/pgtable.h            |    2 --
 include/asm-mips/pgtable.h                 |   12 ------------
 include/asm-parisc/pgtable.h               |    3 ---
 include/asm-ppc/pgtable.h                  |   11 -----------
 include/asm-sh/pgtable.h                   |    3 ---
 include/asm-sh64/pgtable.h                 |    3 ---
 include/asm-x86_64/pgtable.h               |    3 ---
 include/asm-xtensa/pgtable.h               |    6 +++---
 18 files changed, 5 insertions(+), 81 deletions(-)

diff -puN Documentation/feature-removal-schedule.txt~feature-removal-of-io_remap_page_range Documentation/feature-removal-schedule.txt
--- devel/Documentation/feature-removal-schedule.txt~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/Documentation/feature-removal-schedule.txt	2005-09-10 15:05:32.000000000 -0700
@@ -17,15 +17,6 @@ Who:	Greg Kroah-Hartman <greg@kroah.com>
 
 ---------------------------
 
-What:	io_remap_page_range() (macro or function)
-When:	September 2005
-Why:	Replaced by io_remap_pfn_range() which allows more memory space
-	addressabilty (by using a pfn) and supports sparc & sparc64
-	iospace as part of the pfn.
-Who:	Randy Dunlap <rddunlap@osdl.org>
-
----------------------------
-
 What:	RAW driver (CONFIG_RAW_DRIVER)
 When:	December 2005
 Why:	declared obsolete since kernel 2.6.3
diff -puN include/asm-alpha/pgtable.h~feature-removal-of-io_remap_page_range include/asm-alpha/pgtable.h
--- devel/include/asm-alpha/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-alpha/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -339,13 +339,6 @@ extern inline pte_t mk_swap_pte(unsigned
 #define kern_addr_valid(addr)	(1)
 #endif
 
-#define io_remap_page_range(vma, start, busaddr, size, prot)	\
-({								\
-	void *va = (void __force *)ioremap(busaddr, size);	\
-	unsigned long pfn = virt_to_phys(va) >> PAGE_SHIFT;	\
-	remap_pfn_range(vma, start, pfn, size, prot);		\
-})
-
 #define io_remap_pfn_range(vma, start, pfn, size, prot)	\
 		remap_pfn_range(vma, start, pfn, size, prot)
 
diff -puN include/asm-arm26/pgtable.h~feature-removal-of-io_remap_page_range include/asm-arm26/pgtable.h
--- devel/include/asm-arm26/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-arm26/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -294,12 +294,9 @@ static inline pte_t mk_pte_phys(unsigned
 #include <asm-generic/pgtable.h>
 
 /*
- * remap a physical address `phys' of size `size' with page protection `prot'
+ * remap a physical page `pfn' of size `size' with page protection `prot'
  * into virtual address `from'
  */
-#define io_remap_page_range(vma,from,phys,size,prot) \
-		remap_pfn_range(vma, from, (phys) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma,from,pfn,size,prot) \
 		remap_pfn_range(vma, from, pfn, size, prot)
 
diff -puN include/asm-arm/pgtable.h~feature-removal-of-io_remap_page_range include/asm-arm/pgtable.h
--- devel/include/asm-arm/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-arm/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -445,12 +445,9 @@ extern pgd_t swapper_pg_dir[PTRS_PER_PGD
 #define HAVE_ARCH_UNMAPPED_AREA
 
 /*
- * remap a physical address `phys' of size `size' with page protection `prot'
+ * remap a physical page `pfn' of size `size' with page protection `prot'
  * into virtual address `from'
  */
-#define io_remap_page_range(vma,from,phys,size,prot) \
-		remap_pfn_range(vma, from, (phys) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma,from,pfn,size,prot) \
 		remap_pfn_range(vma, from, pfn, size, prot)
 
diff -puN include/asm-frv/pgtable.h~feature-removal-of-io_remap_page_range include/asm-frv/pgtable.h
--- devel/include/asm-frv/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-frv/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -500,9 +500,6 @@ static inline int pte_file(pte_t pte)
 #define PageSkip(page)		(0)
 #define kern_addr_valid(addr)	(1)
 
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 
diff -puN include/asm-h8300/pgtable.h~feature-removal-of-io_remap_page_range include/asm-h8300/pgtable.h
--- devel/include/asm-h8300/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-h8300/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -52,8 +52,6 @@ extern int is_in_rom(unsigned long);
  * No page table caches to initialise
  */
 #define pgtable_cache_init()   do { } while (0)
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
 
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
diff -puN include/asm-i386/pgtable.h~feature-removal-of-io_remap_page_range include/asm-i386/pgtable.h
--- devel/include/asm-i386/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-i386/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -431,9 +431,6 @@ extern void noexec_setup(const char *str
 #define kern_addr_valid(addr)	(1)
 #endif /* CONFIG_FLATMEM */
 
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 
diff -puN include/asm-ia64/pgtable.h~feature-removal-of-io_remap_page_range include/asm-ia64/pgtable.h
--- devel/include/asm-ia64/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-ia64/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -443,10 +443,6 @@ extern void paging_init (void);
 #define pte_to_pgoff(pte)		((pte_val(pte) << 1) >> 3)
 #define pgoff_to_pte(off)		((pte_t) { ((off) << 2) | _PAGE_FILE })
 
-/* XXX is this right? */
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 
diff -puN include/asm-m32r/pgtable.h~feature-removal-of-io_remap_page_range include/asm-m32r/pgtable.h
--- devel/include/asm-m32r/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-m32r/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -378,9 +378,6 @@ static inline void pmd_set(pmd_t * pmdp,
 /* Needs to be defined here and not in linux/mm.h, as it is arch dependent */
 #define kern_addr_valid(addr)	(1)
 
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)	\
-	remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)	\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 
diff -puN include/asm-m68knommu/pgtable.h~feature-removal-of-io_remap_page_range include/asm-m68knommu/pgtable.h
--- devel/include/asm-m68knommu/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-m68knommu/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -56,8 +56,6 @@ extern int is_in_rom(unsigned long);
  * No page table caches to initialise.
  */
 #define pgtable_cache_init()	do { } while (0)
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
 
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
diff -puN include/asm-m68k/pgtable.h~feature-removal-of-io_remap_page_range include/asm-m68k/pgtable.h
--- devel/include/asm-m68k/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-m68k/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -141,9 +141,6 @@ static inline void update_mmu_cache(stru
 
 #define kern_addr_valid(addr)	(1)
 
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 
diff -puN include/asm-mips/pgtable.h~feature-removal-of-io_remap_page_range include/asm-mips/pgtable.h
--- devel/include/asm-mips/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-mips/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -360,16 +360,6 @@ static inline void update_mmu_cache(stru
 extern phys_t fixup_bigphys_addr(phys_t phys_addr, phys_t size);
 extern int remap_pfn_range(struct vm_area_struct *vma, unsigned long from, unsigned long pfn, unsigned long size, pgprot_t prot);
 
-static inline int io_remap_page_range(struct vm_area_struct *vma,
-		unsigned long vaddr,
-		unsigned long paddr,
-		unsigned long size,
-		pgprot_t prot)
-{
-	phys_t phys_addr_high = fixup_bigphys_addr(paddr, size);
-	return remap_pfn_range(vma, vaddr, phys_addr_high >> PAGE_SHIFT, size, prot);
-}
-
 static inline int io_remap_pfn_range(struct vm_area_struct *vma,
 		unsigned long vaddr,
 		unsigned long pfn,
@@ -380,8 +370,6 @@ static inline int io_remap_pfn_range(str
 	return remap_pfn_range(vma, vaddr, pfn, size, prot);
 }
 #else
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 #endif
diff -puN include/asm-parisc/pgtable.h~feature-removal-of-io_remap_page_range include/asm-parisc/pgtable.h
--- devel/include/asm-parisc/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-parisc/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -498,9 +498,6 @@ static inline void ptep_set_wrprotect(st
 
 #endif /* !__ASSEMBLY__ */
 
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 
diff -puN include/asm-ppc/pgtable.h~feature-removal-of-io_remap_page_range include/asm-ppc/pgtable.h
--- devel/include/asm-ppc/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-ppc/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -812,15 +812,6 @@ extern void kernel_set_cachemode (unsign
 #ifdef CONFIG_PHYS_64BIT
 extern int remap_pfn_range(struct vm_area_struct *vma, unsigned long from,
 			unsigned long paddr, unsigned long size, pgprot_t prot);
-static inline int io_remap_page_range(struct vm_area_struct *vma,
-					unsigned long vaddr,
-					unsigned long paddr,
-					unsigned long size,
-					pgprot_t prot)
-{
-	phys_addr_t paddr64 = fixup_bigphys_addr(paddr, size);
-	return remap_pfn_range(vma, vaddr, paddr64 >> PAGE_SHIFT, size, prot);
-}
 
 static inline int io_remap_pfn_range(struct vm_area_struct *vma,
 					unsigned long vaddr,
@@ -832,8 +823,6 @@ static inline int io_remap_pfn_range(str
 	return remap_pfn_range(vma, vaddr, paddr64 >> PAGE_SHIFT, size, prot);
 }
 #else
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 #endif
diff -puN include/asm-sh64/pgtable.h~feature-removal-of-io_remap_page_range include/asm-sh64/pgtable.h
--- devel/include/asm-sh64/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-sh64/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -482,9 +482,6 @@ extern void update_mmu_cache(struct vm_a
 #define PageSkip(page)		(0)
 #define kern_addr_valid(addr)	(1)
 
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 
diff -puN include/asm-sh/pgtable.h~feature-removal-of-io_remap_page_range include/asm-sh/pgtable.h
--- devel/include/asm-sh/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-sh/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -277,9 +277,6 @@ typedef pte_t *pte_addr_t;
 
 #define kern_addr_valid(addr)	(1)
 
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 
diff -puN include/asm-x86_64/pgtable.h~feature-removal-of-io_remap_page_range include/asm-x86_64/pgtable.h
--- devel/include/asm-x86_64/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-x86_64/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -421,9 +421,6 @@ static inline pte_t pte_modify(pte_t pte
 
 extern int kern_addr_valid(unsigned long addr); 
 
-#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
-		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
-
 #define io_remap_pfn_range(vma, vaddr, pfn, size, prot)		\
 		remap_pfn_range(vma, vaddr, pfn, size, prot)
 
diff -puN include/asm-xtensa/pgtable.h~feature-removal-of-io_remap_page_range include/asm-xtensa/pgtable.h
--- devel/include/asm-xtensa/pgtable.h~feature-removal-of-io_remap_page_range	2005-09-10 15:05:32.000000000 -0700
+++ devel-akpm/include/asm-xtensa/pgtable.h	2005-09-10 15:05:32.000000000 -0700
@@ -441,11 +441,11 @@ extern  void update_mmu_cache(struct vm_
 			      unsigned long address, pte_t pte);
 
 /*
- * remap a physical address `phys' of size `size' with page protection `prot'
+ * remap a physical page `pfn' of size `size' with page protection `prot'
  * into virtual address `from'
  */
-#define io_remap_page_range(vma,from,phys,size,prot) \
-                remap_pfn_range(vma, from, (phys) >> PAGE_SHIFT, size, prot)
+#define io_remap_pfn_range(vma,from,pfn,size,prot) \
+                remap_pfn_range(vma, from, pfn, size, prot)
 
 
 /* No page table caches to init */
_
